Subject: bug#40023: 26.3; Emacs crashes when creating process if many file handles are in use (e.g., when using ccls)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Mar 2020 17:50:14 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 12 Mar 2020 16:24:44 +0100
> 
>     >> You mean Bug#39164? I donʼt think there was a commit for that.
> 
>     Eli> That's too bad.  I think we should revive that bug and fix it in Emacs
>     Eli> 27, since I understand the recent versions of macOS will have that
>     Eli> effect more and more frequently.
> 
> If someone has an 'emacs -Q' testcase I can look at it. Soon we will
> all be spending lots of time at home here :-(

We could simply install the proposed workaround on the emacs-27 branch
for now, I think.